Index: branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Views/PushProgramDebuggerView.Designer.cs
===================================================================
--- branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Views/PushProgramDebuggerView.Designer.cs	(revision 14747)
+++ branches/PushGP/HeuristicLab.PushGP/HeuristicLab.Problems.ProgramSynthesis/Push/Views/PushProgramDebuggerView.Designer.cs	(revision 14777)
@@ -25,33 +25,60 @@
     private void InitializeComponent() {
       System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(PushProgramDebuggerView));
-      this.execGroupBox = new System.Windows.Forms.GroupBox();
-      this.execList = new System.Windows.Forms.ListView();
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.tabPage1 = new System.Windows.Forms.TabPage();
+      this.simplifyButton = new System.Windows.Forms.Button();
+      this.skipNoopsCheckBox = new System.Windows.Forms.CheckBox();
+      this.runButton = new System.Windows.Forms.Button();
+      this.stepWidthBox = new System.Windows.Forms.NumericUpDown();
+      this.resetButton = new System.Windows.Forms.Button();
+      this.stepButton = new System.Windows.Forms.Button();
+      this.exampleComboBox = new System.Windows.Forms.ComboBox();
+      this.label1 = new System.Windows.Forms.Label();
+      this.debugTableLayout = new System.Windows.Forms.TableLayoutPanel();
+      this.codeGroupBox = new System.Windows.Forms.GroupBox();
+      this.codeList = new System.Windows.Forms.ListBox();
+      this.nameGroupBox = new System.Windows.Forms.GroupBox();
+      this.nameList = new System.Windows.Forms.ListBox();
       this.integerGroupBox = new System.Windows.Forms.GroupBox();
       this.integerList = new System.Windows.Forms.ListBox();
       this.floatGroupBox = new System.Windows.Forms.GroupBox();
+      this.groupBox2 = new System.Windows.Forms.GroupBox();
+      this.listBox2 = new System.Windows.Forms.ListBox();
       this.floatList = new System.Windows.Forms.ListBox();
-      this.codeGroupBox = new System.Windows.Forms.GroupBox();
-      this.codeList = new System.Windows.Forms.ListBox();
+      this.execGroupBox = new System.Windows.Forms.GroupBox();
+      this.execList = new System.Windows.Forms.ListView();
       this.booleanGroupBox = new System.Windows.Forms.GroupBox();
+      this.groupBox4 = new System.Windows.Forms.GroupBox();
+      this.listBox3 = new System.Windows.Forms.ListBox();
       this.booleanList = new System.Windows.Forms.ListBox();
-      this.nameGroupBox = new System.Windows.Forms.GroupBox();
-      this.nameList = new System.Windows.Forms.ListBox();
-      this.stepButton = new System.Windows.Forms.Button();
-      this.resetButton = new System.Windows.Forms.Button();
-      this.label1 = new System.Windows.Forms.Label();
-      this.exampleComboBox = new System.Windows.Forms.ComboBox();
-      this.tableLayoutPanel1 = new System.Windows.Forms.TableLayoutPanel();
-      this.stepWidthBox = new System.Windows.Forms.NumericUpDown();
-      this.runButton = new System.Windows.Forms.Button();
-      this.skipNoopsCheckBox = new System.Windows.Forms.CheckBox();
+      this.stringGroupBox = new System.Windows.Forms.GroupBox();
+      this.groupBox6 = new System.Windows.Forms.GroupBox();
+      this.listBox5 = new System.Windows.Forms.ListBox();
+      this.stringList = new System.Windows.Forms.ListBox();
+      this.charGroupBox = new System.Windows.Forms.GroupBox();
+      this.groupBox8 = new System.Windows.Forms.GroupBox();
+      this.listBox7 = new System.Windows.Forms.ListBox();
+      this.charList = new System.Windows.Forms.ListBox();
+      this.tabPage2 = new System.Windows.Forms.TabPage();
+      this.resultsDataGrid = new System.Windows.Forms.DataGridView();
       ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
-      this.execGroupBox.SuspendLayout();
+      this.tabControl.SuspendLayout();
+      this.tabPage1.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.stepWidthBox)).BeginInit();
+      this.debugTableLayout.SuspendLayout();
+      this.codeGroupBox.SuspendLayout();
+      this.nameGroupBox.SuspendLayout();
       this.integerGroupBox.SuspendLayout();
       this.floatGroupBox.SuspendLayout();
-      this.codeGroupBox.SuspendLayout();
+      this.groupBox2.SuspendLayout();
+      this.execGroupBox.SuspendLayout();
       this.booleanGroupBox.SuspendLayout();
-      this.nameGroupBox.SuspendLayout();
-      this.tableLayoutPanel1.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.stepWidthBox)).BeginInit();
+      this.groupBox4.SuspendLayout();
+      this.stringGroupBox.SuspendLayout();
+      this.groupBox6.SuspendLayout();
+      this.charGroupBox.SuspendLayout();
+      this.groupBox8.SuspendLayout();
+      this.tabPage2.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.resultsDataGrid)).BeginInit();
       this.SuspendLayout();
       //
@@ -60,233 +87,76 @@
       this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
       this.errorProvider.SetIconPadding(this.nameTextBox, 2);
-      this.nameTextBox.Size = new System.Drawing.Size(890, 20);
+      this.nameTextBox.Size = new System.Drawing.Size(1176, 20);
       //
       // infoLabel
       //
-      this.infoLabel.Location = new System.Drawing.Point(954, 3);
-      //
-      // execGroupBox
-      //
-      this.execGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.execGroupBox.Controls.Add(this.execList);
-      this.execGroupBox.Location = new System.Drawing.Point(3, 3);
-      this.execGroupBox.Name = "execGroupBox";
-      this.execGroupBox.Size = new System.Drawing.Size(244, 633);
-      this.execGroupBox.TabIndex = 3;
-      this.execGroupBox.TabStop = false;
-      this.execGroupBox.Text = "Exec";
-      //
-      // execList
-      //
-      this.execList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.execList.Location = new System.Drawing.Point(3, 16);
-      this.execList.Name = "execList";
-      this.execList.Size = new System.Drawing.Size(235, 605);
-      this.execList.TabIndex = 1;
-      this.execList.UseCompatibleStateImageBehavior = false;
-      this.execList.View = System.Windows.Forms.View.List;
-      this.execList.VirtualMode = true;
-      //
-      // integerGroupBox
-      //
-      this.integerGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.integerGroupBox.Controls.Add(this.integerList);
-      this.integerGroupBox.Location = new System.Drawing.Point(628, 3);
-      this.integerGroupBox.Name = "integerGroupBox";
-      this.integerGroupBox.Size = new System.Drawing.Size(119, 633);
-      this.integerGroupBox.TabIndex = 4;
-      this.integerGroupBox.TabStop = false;
-      this.integerGroupBox.Text = "Integer";
-      //
-      // integerList
-      //
-      this.integerList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.integerList.FormattingEnabled = true;
-      this.integerList.HorizontalScrollbar = true;
-      this.integerList.Location = new System.Drawing.Point(6, 19);
-      this.integerList.Name = "integerList";
-      this.integerList.SelectionMode = System.Windows.Forms.SelectionMode.None;
-      this.integerList.Size = new System.Drawing.Size(107, 602);
-      this.integerList.TabIndex = 3;
-      //
-      // floatGroupBox
-      //
-      this.floatGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.floatGroupBox.Controls.Add(this.floatList);
-      this.floatGroupBox.Location = new System.Drawing.Point(753, 3);
-      this.floatGroupBox.Name = "floatGroupBox";
-      this.floatGroupBox.Size = new System.Drawing.Size(119, 633);
-      this.floatGroupBox.TabIndex = 5;
-      this.floatGroupBox.TabStop = false;
-      this.floatGroupBox.Text = "Float";
-      //
-      // floatList
-      //
-      this.floatList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.floatList.FormattingEnabled = true;
-      this.floatList.HorizontalScrollbar = true;
-      this.floatList.Location = new System.Drawing.Point(6, 19);
-      this.floatList.Name = "floatList";
-      this.floatList.SelectionMode = System.Windows.Forms.SelectionMode.None;
-      this.floatList.Size = new System.Drawing.Size(107, 602);
-      this.floatList.TabIndex = 4;
-      //
-      // codeGroupBox
-      //
-      this.codeGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.codeGroupBox.Controls.Add(this.codeList);
-      this.codeGroupBox.Location = new System.Drawing.Point(253, 3);
-      this.codeGroupBox.Name = "codeGroupBox";
-      this.codeGroupBox.Size = new System.Drawing.Size(244, 633);
-      this.codeGroupBox.TabIndex = 5;
-      this.codeGroupBox.TabStop = false;
-      this.codeGroupBox.Text = "Code";
-      //
-      // codeList
-      //
-      this.codeList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.codeList.FormattingEnabled = true;
-      this.codeList.HorizontalScrollbar = true;
-      this.codeList.Location = new System.Drawing.Point(7, 19);
-      this.codeList.Name = "codeList";
-      this.codeList.SelectionMode = System.Windows.Forms.SelectionMode.None;
-      this.codeList.Size = new System.Drawing.Size(231, 602);
-      this.codeList.TabIndex = 1;
-      //
-      // booleanGroupBox
-      //
-      this.booleanGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.booleanGroupBox.Controls.Add(this.booleanList);
-      this.booleanGroupBox.Location = new System.Drawing.Point(878, 3);
-      this.booleanGroupBox.Name = "booleanGroupBox";
-      this.booleanGroupBox.Size = new System.Drawing.Size(119, 633);
-      this.booleanGroupBox.TabIndex = 5;
-      this.booleanGroupBox.TabStop = false;
-      this.booleanGroupBox.Text = "Boolean";
-      //
-      // booleanList
-      //
-      this.booleanList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.booleanList.FormattingEnabled = true;
-      this.booleanList.HorizontalScrollbar = true;
-      this.booleanList.Location = new System.Drawing.Point(6, 19);
-      this.booleanList.Name = "booleanList";
-      this.booleanList.SelectionMode = System.Windows.Forms.SelectionMode.None;
-      this.booleanList.Size = new System.Drawing.Size(107, 602);
-      this.booleanList.TabIndex = 5;
-      //
-      // nameGroupBox
-      //
-      this.nameGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.nameGroupBox.Controls.Add(this.nameList);
-      this.nameGroupBox.Location = new System.Drawing.Point(503, 3);
-      this.nameGroupBox.Name = "nameGroupBox";
-      this.nameGroupBox.Size = new System.Drawing.Size(119, 633);
-      this.nameGroupBox.TabIndex = 5;
-      this.nameGroupBox.TabStop = false;
-      this.nameGroupBox.Text = "Name";
-      //
-      // nameList
-      //
-      this.nameList.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.nameList.FormattingEnabled = true;
-      this.nameList.HorizontalScrollbar = true;
-      this.nameList.Location = new System.Drawing.Point(6, 19);
-      this.nameList.Name = "nameList";
-      this.nameList.SelectionMode = System.Windows.Forms.SelectionMode.None;
-      this.nameList.Size = new System.Drawing.Size(107, 602);
-      this.nameList.TabIndex = 2;
-      //
-      // stepButton
-      //
-      this.stepButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.stepButton.Image = ((System.Drawing.Image)(resources.GetObject("stepButton.Image")));
-      this.stepButton.Location = new System.Drawing.Point(112, 698);
-      this.stepButton.Name = "stepButton";
-      this.stepButton.Size = new System.Drawing.Size(28, 26);
-      this.stepButton.TabIndex = 6;
-      this.toolTip.SetToolTip(this.stepButton, "Step");
-      this.stepButton.UseVisualStyleBackColor = true;
-      //
-      // resetButton
-      //
-      this.resetButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
-      this.resetButton.Image = ((System.Drawing.Image)(resources.GetObject("resetButton.Image")));
-      this.resetButton.Location = new System.Drawing.Point(6, 698);
-      this.resetButton.Name = "resetButton";
-      this.resetButton.Size = new System.Drawing.Size(28, 26);
-      this.resetButton.TabIndex = 7;
-      this.toolTip.SetToolTip(this.resetButton, "Reset to start");
-      this.resetButton.UseVisualStyleBackColor = true;
-      //
-      // label1
-      //
-      this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(3, 29);
-      this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(50, 13);
-      this.label1.TabIndex = 8;
-      this.label1.Text = "Example:";
-      //
-      // exampleComboBox
-      //
-      this.exampleComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.exampleComboBox.FormattingEnabled = true;
-      this.exampleComboBox.Location = new System.Drawing.Point(58, 26);
-      this.exampleComboBox.Name = "exampleComboBox";
-      this.exampleComboBox.Size = new System.Drawing.Size(890, 21);
-      this.exampleComboBox.TabIndex = 9;
-      //
-      // tableLayoutPanel1
-      //
-      this.tableLayoutPanel1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
-            | System.Windows.Forms.AnchorStyles.Left)
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.tableLayoutPanel1.AutoScroll = true;
-      this.tableLayoutPanel1.ColumnCount = 7;
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 250F));
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 250F));
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 125F));
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 125F));
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 125F));
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 125F));
-      this.tableLayoutPanel1.ColumnStyles.Add(new System.Windows.Forms.ColumnStyle(System.Windows.Forms.SizeType.Absolute, 36F));
-      this.tableLayoutPanel1.Controls.Add(this.codeGroupBox, 1, 0);
-      this.tableLayoutPanel1.Controls.Add(this.nameGroupBox, 2, 0);
-      this.tableLayoutPanel1.Controls.Add(this.integerGroupBox, 3, 0);
-      this.tableLayoutPanel1.Controls.Add(this.floatGroupBox, 4, 0);
-      this.tableLayoutPanel1.Controls.Add(this.booleanGroupBox, 5, 0);
-      this.tableLayoutPanel1.Controls.Add(this.execGroupBox, 0, 0);
-      this.tableLayoutPanel1.Location = new System.Drawing.Point(6, 53);
-      this.tableLayoutPanel1.Name = "tableLayoutPanel1";
-      this.tableLayoutPanel1.RowCount = 1;
-      this.tableLayoutPanel1.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Percent, 100F));
-      this.tableLayoutPanel1.Size = new System.Drawing.Size(1036, 639);
-      this.tableLayoutPanel1.TabIndex = 1;
+      this.infoLabel.Location = new System.Drawing.Point(1259, 3);
+      //
+      // tabControl
+      //
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+            | System.Windows.Forms.AnchorStyles.Left)
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.tabPage1);
+      this.tabControl.Controls.Add(this.tabPage2);
+      this.tabControl.Location = new System.Drawing.Point(6, 26);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(1269, 698);
+      this.tabControl.TabIndex = 12;
+      //
+      // tabPage1
+      //
+      this.tabPage1.Controls.Add(this.simplifyButton);
+      this.tabPage1.Controls.Add(this.skipNoopsCheckBox);
+      this.tabPage1.Controls.Add(this.runButton);
+      this.tabPage1.Controls.Add(this.stepWidthBox);
+      this.tabPage1.Controls.Add(this.resetButton);
+      this.tabPage1.Controls.Add(this.stepButton);
+      this.tabPage1.Controls.Add(this.exampleComboBox);
+      this.tabPage1.Controls.Add(this.label1);
+      this.tabPage1.Controls.Add(this.debugTableLayout);
+      this.tabPage1.Location = new System.Drawing.Point(4, 22);
+      this.tabPage1.Name = "tabPage1";
+      this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
+      this.tabPage1.Size = new System.Drawing.Size(1261, 672);
+      this.tabPage1.TabIndex = 0;
+      this.tabPage1.Text = "Debug";
+      this.tabPage1.UseVisualStyleBackColor = true;
+      //
+      // simplifyButton
+      //
+      this.simplifyButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.simplifyButton.Location = new System.Drawing.Point(237, 640);
+      this.simplifyButton.Name = "simplifyButton";
+      this.simplifyButton.Size = new System.Drawing.Size(62, 26);
+      this.simplifyButton.TabIndex = 17;
+      this.simplifyButton.Text = "Simplify";
+      this.toolTip.SetToolTip(this.simplifyButton, "Run all instructions");
+      this.simplifyButton.UseVisualStyleBackColor = true;
+      //
+      // skipNoopsCheckBox
+      //
+      this.skipNoopsCheckBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.skipNoopsCheckBox.AutoSize = true;
+      this.skipNoopsCheckBox.Checked = true;
+      this.skipNoopsCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
+      this.skipNoopsCheckBox.Location = new System.Drawing.Point(150, 646);
+      this.skipNoopsCheckBox.Name = "skipNoopsCheckBox";
+      this.skipNoopsCheckBox.Size = new System.Drawing.Size(81, 17);
+      this.skipNoopsCheckBox.TabIndex = 16;
+      this.skipNoopsCheckBox.Text = "Skip NOOP";
+      this.skipNoopsCheckBox.UseVisualStyleBackColor = true;
+      //
+      // runButton
+      //
+      this.runButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.runButton.Image = ((System.Drawing.Image)(resources.GetObject("runButton.Image")));
+      this.runButton.Location = new System.Drawing.Point(40, 640);
+      this.runButton.Name = "runButton";
+      this.runButton.Size = new System.Drawing.Size(28, 26);
+      this.runButton.TabIndex = 15;
+      this.toolTip.SetToolTip(this.runButton, "Run all instructions");
+      this.runButton.UseVisualStyleBackColor = true;
       //
       // stepWidthBox
@@ -294,5 +164,5 @@
       this.stepWidthBox.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
       this.stepWidthBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
-      this.stepWidthBox.Location = new System.Drawing.Point(73, 699);
+      this.stepWidthBox.Location = new System.Drawing.Point(73, 641);
       this.stepWidthBox.Maximum = new decimal(new int[] {
             99999,
@@ -307,5 +177,5 @@
       this.stepWidthBox.Name = "stepWidthBox";
       this.stepWidthBox.Size = new System.Drawing.Size(40, 24);
-      this.stepWidthBox.TabIndex = 2;
+      this.stepWidthBox.TabIndex = 12;
       this.stepWidthBox.Value = new decimal(new int[] {
             1,
